package com.tykj.dev.device.task.subject.common;

import lombok.AllArgsConstructor;

/**
 * @author dengdiyi
 * 维修状态枚举
 */

@AllArgsConstructor
public enum RepairStatusEnum {
    /**
     * 等待维修
     */
    WAIT_REPAIR(0,"等待维修"),
    /**
     * 维修中
     */
    REPAIRING(1,"维修中"),
    /**
     * 待领取
     */
    WAIT_RECEIVE(2,"待领取"),
    /**
     * 换新
     */
    CHANGE_NEW(3,"换新"),
    /**
     * 已报废
     */
    SCRAPPED(4,"已报废"),
    /**
     * 已领取
     */
    RECEIVED(5,"已领取")
    ;

    public Integer id;

    public String name;
}
